curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/search/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"field": "<string>",
"op": "eq",
"value": "<string>"
}
}
'{
"data": [
{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_queue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_metadata": {
"start_time": "<string>",
"end_time": "<string>"
},
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123
},
"custom_metadata": {},
"test_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Query sessions using advanced filters. Use to find specific conversations or filter by metadata.
Supports pagination and optional inclusion of all traces and completions
within the session, using the include_children parameter.
page_size defaults to 30, maximum 100.
For filter operators and examples, see: https://docs.freeplay.ai/openapi/search-api-operators
curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/search/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"field": "<string>",
"op": "eq",
"value": "<string>"
}
}
'{
"data": [
{
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"review_queue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_metadata": {
"start_time": "<string>",
"end_time": "<string>"
},
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123
},
"custom_metadata": {},
"test_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
SessionSearchResponse(data: Union[List[server.search_api.types.SessionSearchInfo], List[server.search_api.types.SessionSearchInfoWithChildren]], pagination: server.api_routes.api_v2_common.PaginationInfo)